### Signal

# WebKit BackForwardList::changed

unstable since: 6.0

#### Declaration

    void
    changed (
      WebKitBackForwardList* self,
      WebKitBackForwardListItem* item_added,
      gpointer items_removed,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when `back_forward_list` changes. This happens when the current item is updated, a new item is added or one or more items are removed. Note that both `item_added` and `items_removed` can `NULL` when only the current item is updated. Items are only removed when the list is cleared or the maximum items limit is reached.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 6.0

#### Parameters

`item_added`

  Type: `WebKitBackForwardListItem`

  The `WebKitBackForwardListItem` added or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`items_removed`

  Type: `gpointer`

  A `GList` of `WebKitBackForwardListItem`s.

  The argument can be `NULL`.
  The data is owned by the caller of the function.